<div>
    <jhi-alert></jhi-alert>
    <div class="ui-g-12">
        <p-dataTable [value]="paymentHistories" [editable]="true" [responsive]="true">
            <p-column header="No Payment">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <input type="text" name="nopay" id="field_nopay" [(ngModel)]="rowData.nopayfin"
                        style="width: 100px;" />
                </ng-template>
            </p-column>
            <p-column header="No Giro">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <input type="text" name="nogiro" id="field_nogiro" [(ngModel)]="rowData.nogiro"
                        style="width: 100px;" />
                </ng-template>
            </p-column>
            <p-column header="Total Dibayar">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <input currencyMask class="form-control" name="price" id="field_price"
                        [(ngModel)]="rowData.totalpay"
                        [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" style="width: 200px;" />
                </ng-template>
            </p-column>
            <p-column header="Tanggal Rilis">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        <p-calendar inputId="field_dtsent_{{rowData.nourut}}" name="input_dtsent"
                            [(ngModel)]="rowData.dtrelease" dateFormat="dd-MM-yy" [monthNavigator]="true"
                            [yearNavigator]="true" yearRange="2000:2999" appendTo="body">
                        </p-calendar>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="Tanggal Bayar">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div>
                        <p-calendar inputId="field_dtsent_{{rowData.nourut}}" name="input_dtsent"
                            [(ngModel)]="rowData.dtpay" dateFormat="dd-MM-yy" [monthNavigator]="true"
                            [yearNavigator]="true" yearRange="2000:2999" appendTo="body">
                        </p-calendar>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="Bank">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <!-- <p-dropdown [options]="banks" name="bank" inputId="field_divReceipt_{{rowData.nourut}}"
                        [(ngModel)]="rowData.description" appendTo="body">
                    </p-dropdown> -->
                    <select class="form-control" id="field_bank" name="bank" [(ngModel)]="rowData.description">
                        <option [ngValue]=""></option>
                        <option [ngValue]="bank.bankcode" *ngFor="let bank of banks;">{{bank.bankname}}</option>
                    </select>
                </ng-template>
            </p-column>
            <p-column header="Aksi">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <button pButton type="button" icon="fa-check" class="flat-button" pTooltip="update Payment"
                        (click)="update(rowData)">
                    </button>
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>
</div>
<div *ngIf="paymentHistories && paymentHistories.length">
    <div class="row justify-content-center">
        <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
    </div>
    <div class="row justify-content-center">
        <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
    </div>
</div>
</div>